import styled from "styled-components";

export const PromotionAddNewWrapper = styled.div`
  height: 100%;
  input.ant-input, .ant-select-selector, div.ant-picker {
    min-height: 44px !important;
    align-items: center;
  }
  .ant-form {
    height: 100%;
    .ant-upload-text {
      margin-top: 15px;
    }
  }
  .ant-row {
    width: 100%;
  }
  textarea.ant-input {
    padding: 18px;
    border-radius: 8px !important;
  }
  span.ant-picker-suffix {
    align-self: initial;
  }
  .ant-input-group-addon:last-child {
    border-radius: 22px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    width: 53px;
    background: white;
    border-left: none;
  }
  div.ant-picker {
    border-radius: 22px;
  }
  .ant-upload.ant-upload-select-picture-card {
    width: 240px;
    height: 120px;
    padding: 0px !important;
    .ant-upload {
      padding: 0 !important;
    }
    img {
      width: 240px !important;
      height: 120px !important;
    }
  }
  .customerGroup {
    .ant-select-selection-item {
      padding-top: 15px !important;
    }
  }
    .point-detail {
      .ant-form-item-control-input {
        height: 100%;
        .ant-form-item-control-input-content {
          height: 100%;
        }
      }
      .general-last-row {
        textarea.ant-input {
          height: 212px !important;
        }
      }
    }
  .form {
    padding: 20px;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  }
  .form-header {
    font-size: 15px;
    font-weight: bold;
    color: #333333;
    padding: 20px 0px;
  }
  .btn-submit {
    width: 110px;
    height: 44px;
    border-radius: 22px;
  }
  input.ant-input, .ant-select-selector, div.ant-picker {
    min-height: 44px !important;
    align-items: center;
  }
  textarea.ant-input {
    padding: 18px;
    border-radius: 0px;
  }
  span.ant-picker-suffix {
    align-self: initial;
  }
  .ant-input-group-wrapper {
    .ant-input-group {
      input {
        border-right: none;
      }
      .ant-input-group-addon:last-child {
        border-radius: 22px;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        width: 53px;
        background: white;
        border-left: none;
      }
    }
  }
  span.ant-input-group-addon + input.ant-input {
    border-bottom-left-radius: 0px !important;
    border-top-left-radius: 0px !important;
  }
  div.ant-picker {
    border-radius: 22px;
  }
  div.ant-picker {
    border-radius: 22px;
  }
  .form-content {
    &__desc {
      height: 195px;
      .ant-form-item-control-input {
        height: 100%;
        .ant-form-item-control-input-content {
          height: 100%;
          textarea.ant-input {
            height: 100% !important;
          }
        }
      }
    }
  }
  .ant-upload.ant-upload-select-picture-card {
    width: 100%;
    min-width: 140px;
    height: 148px;
    border-radius: 8px;
    border: solid 1px #e6e6e6;
    .ant-upload {
      padding: 0;
    }
    img {
      width: 100% !important;
      height: 140px !important;
      object-fit: cover;
      border-radius: 8px;
    }
  }
  .form-header {
    font-size: 15px;
    font-weight: bold;
    color: #333333;
    padding: 20px 0px;
  }
  .btn-submit {
    width: 110px;
    height: 44px;
    border-radius: 22px;
  }
  .form-content-exchange {
    @media screen and (min-width: 743px)  {
      display: flex;
      justify-content: space-between;
      > div {
        &:nth-child(1), &:nth-child(2) {
          flex: 1 1 0%;
          margin-right: 20px
        }
        &:nth-child(3) {
          flex: 1
        }
      }
    }
    .fw {
      width: 100%;
    }
    &__promo-date, &__promo-time, &__discount-percent {
      display: flex;
      > div {
        &:nth-child(1) {
          flex: 1;
          margin-right: 5px;
        }
        &:nth-child(2) {
          flex: 1;
          margin-left: 5px;
        }
      }
    }
    &__menu {
      display: flex;
      > div {
        &:nth-child(1) {
          flex: 1;
          margin-right: 5px;
        }
        &:nth-child(2) {
          flex: 2;
          margin-left: 5px;
        }
      }
    }
    &__quantity {
      color: red;
      .ant-input-number {
        width: 100%;
        height: 44px;
        align-items: center;
        .ant-input-number-input-wrap {
          height: 100%;
          padding-top: 4px;
        }
      }
    }
    &__minimum-order {
      display: flex;
      align-items: center;
      > div {
        &:nth-child(1) {
          flex: 1;
          margin-right: 5px;
        }
        &:nth-child(2) {
          flex: 1;
          margin-left: 5px;
        }
      }
    }
    &__promo-type {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      p {
        width: 200px;
      }
    }
    &__promo-type.point-promo {
      + .ant-row {
        height: 70%;
        @media screen and (min-width: 768px) {
          display: flex;
          height: 75%;
        }
      }
    }
    &__img {
      display: block;
      justify-content: center;
      width: 100%;
      .ant-row.ant-form-item {
        width: 100%;
        margin-bottom: 0px !important;
      }
    }
    &__row {
      margin-bottom: 15px;
    }
    &__upload {
      width: 100%;
      height: 140px;
      border-radius: 8px;
    }
  }
  span.img-hint {
    margin-bottom: 15px;
  }
  .last-item {
    margin-bottom: 0px !important;
  }
  .first-promotion-row {
    margin-bottom: 20px;
    .general-card {
      box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
      background-color: #ffffff;
      padding: 0px 20px 20px 20px;
      &__discount {
        > .ant-col:nth-child(1) {
          padding-right: 10px;
          .ant-row {
            width: 100%;
          }
        }
      }
      &__firs-col {
        &--free-detail {
          padding-right: 20px;
          + div.ant-col {
            .ant-form-item textarea.ant-input {
              height: 155px;
            }
          }
        }
        &--point-detail {
          padding-right: 20px;
        }
      }
      .general-last-row {
        > .ant-col:nth-child(1) {
          padding-right: 20px;
        }
      }
    }
    .general-right-card {
      @media screen and (min-width: 786px) {
        padding-left: 20px;
      }
      @media screen and (max-width: 786px) {
        margin-top: 20px;
      }
      .time-card {
        margin-top: 20px;
      }
      .ant-picker.fw {
        width: 100%;
      }
    }
  }
  .second-promotion-row {
    margin-bottom: 20px;
  }
  .conditions-card, .time-card {
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
    background-color: #ffffff;
    padding: 0px 20px 20px 20px;
    &__content {
      &--firstRow{
        > .ant-col:nth-child(2) {
          padding-left: 10px;
        }
      }
    }
  }
`;
