import React from 'react';
import {Row, Col, Empty } from 'antd';
import CardNote from './cardNote';
import { injectIntl } from 'react-intl';
import { makeSelectRoles } from "../../App/selectors";
import styled from "styled-components";

export const StaffListWrapper = styled.div`
`;
function Service(props) {
  const { notes } = props;

  return (
    <StaffListWrapper>
      <Row className="customer-info-tab" gutter={[20, 20]}>
        {(notes && notes.length > 0) ?  notes.map(note => (
          <Col xl={8} lg={8} md={12} sm={12} xs={24}>
            <CardNote note={note}/>
          </Col>)) : <Empty />}
      </Row>
    </StaffListWrapper>
  );
}

export default injectIntl(Service);
