/*
 * CustomerDetail Messages
 *
 * This contains all the text for the CustomerDetail container.
 */

import { defineMessages } from 'react-intl';

export const scope = 'app.containers.CustomerDetail';

export default defineMessages({
  date: {
    id: `app.containers.CustomerDetail.date`,
    defaultMessage: 'Ngày',
  },
  createdTime: {
    id: `app.containers.CustomerDetail.createdTime`,
    defaultMessage: 'Ngày tạo {createdTime}',
  },
  orderNumber: {
    id: `app.containers.CustomerDetail.orderNumber`,
    defaultMessage: 'Mã đặt hàng',
  },
  productAndService: {
    id: `app.containers.CustomerDetail.productAndService`,
    defaultMessage: 'Sản phẩm/ Dịch vụ',
  },
  pickup: {
    id: `app.containers.CustomerDetail.pickup`,
    defaultMessage: 'Mang đi',
  },
  atStore: {
    id: `app.containers.CustomerDetail.atStore`,
    defaultMessage: 'Tại điểm kinh doanh',
  },
  total: {
    id: `app.containers.CustomerDetail.total`,
    defaultMessage: 'Tổng tiền',
  },
  orderNumbers: {
    id: `app.containers.CustomerDetail.orderNumbers`,
    defaultMessage: 'Số lượng đơn hàng',
  },
  orderHistory: {
    id: `app.containers.CustomerDetail.orderHistory`,
    defaultMessage: 'Lịch sử đặt hàng',
  },
  customerInfo: {
    id: `app.containers.CustomerDetail.customerInfo`,
    defaultMessage: 'Thông tin khách hàng',
  },
  customerName: {
    id: `app.containers.CustomerDetail.customerName`,
    defaultMessage: 'Tên khách hàng',
  },
  firstName: {
    id: `app.containers.CustomerDetail.firstName`,
    defaultMessage: 'Họ',
  },
  lastName: {
    id: `app.containers.CustomerDetail.lastName`,
    defaultMessage: 'Tên'
  },
  gender: {
    id: `app.containers.CustomerDetail.gender`,
    defaultMessage: 'Giới tính',
  },
  male: {
    id: `app.containers.CustomerDetail.male`,
    defaultMessage: 'Nam',
  },
  female: {
    id: `app.containers.CustomerDetail.female`,
    defaultMessage: 'Nữ',
  },
  invalidPhoneNumber: {
    id: `app.containers.CustomerDetail.invalidPhoneNumber`,
    defaultMessage: 'Số điện thoại không hợp lệ',
  },
  phoneNumber: {
    id: `app.containers.CustomerDetail.phoneNumber`,
    defaultMessage: 'Số điện thoại',
  },
  dob: {
    id: `app.containers.CustomerDetail.dob`,
    defaultMessage: 'Ngày sinh',
  },
  invalidEmail: {
    id: `app.containers.CustomerDetail.invalidEmail`,
    defaultMessage: 'Email không hợp lệ',
  },
  location: {
    id: `app.containers.CustomerDetail.location`,
    defaultMessage: 'Địa chỉ',
  },
  save: {
    id: `app.containers.CustomerDetail.save`,
    defaultMessage: 'Lưu',
  },
});
