import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';


export const setPaging = (page, limit, total) => action(ActionTypes.SET_PAGING, { page, limit, total });
export const setFilter = (mode, search) => action(ActionTypes.SET_FILTER, { mode, search });
export const getCustomers = (mode, searchText, page, limit, loadMore) => action(ActionTypes.GET_CUSTOMERS, { mode, searchText, page, limit, loadMore});
export const getCustomersSuccess = staffs => action(ActionTypes.GET_CUSTOMERS_SUCCESS, staffs);
export const getCustomersFail = message => action(ActionTypes.GET_CUSTOMERS_FAIL, message);

export const deleteCustomer = id => action(ActionTypes.DELETE_CUSTOMER, id);
export const deleteCustomerSuccess = id => action(ActionTypes.DELETE_CUSTOMER_SUCCESS, id);
export const deleteCustomerFail = message => action(ActionTypes.DELETE_CUSTOMER_FAIL, message)
