import styled from "styled-components";

export const CustomerListWrapper = styled.div`
  padding: 30px 20px;
  .ant-input-affix-wrapper > input.ant-input {
    padding-top: 0;
    padding-bottom: 0;
  }
  .list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
    .card {
      list-style: none;
      padding: 10px;
    }
  }
  .image {
    width: 70px !important;
    height: 70px !important;
  }
`;
export const CustomerListHeaderWrapper = styled.div`
  .form {
    @media screen and (min-width: 743px) {
      display: flex;
      justify-content: space-between;
      padding: 0px 10px;
    }
  }
  .title {
    font-size: 21px;
    font-weight: 600;
    color: #333333;
  }
  .filter {
    margin-top: 20px;
    @media screen and (min-width: 743px) {
      display: flex;
      flex: 1;
      justify-content: flex-end;
      margin-top: 0px;
    }
    &__mode {
      flex-basis: 180px;
      @media screen and (min-width: 743px) {
        margin-right: 10px;
      }
    }
    &__search {
      display: flex;
    }
    &__input {
      flex-basis: 300px;
      margin-right: 10px;
    }
    &__submit {
      margin-right: 10px;
    }
  }
`;
export const HovereddCard = styled.div`
  position: relative;
  top: calc(-100px / 2 - 10px);
  text-align: center;
`;
