/*
 *
 * PromotionDetail actions
 *
 */

import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';

export const getGift = id => action(ActionTypes.GET_GIFT, id);
export const getGiftSuccess = gift => action(ActionTypes.GET_GIFT_SUCCESS, gift);
export const getGiftFail = message => action(ActionTypes.GET_GIFT_FAIL, message);

export const addGift = gift => action(ActionTypes.ADD_GIFT, gift);
export const addGiftSuccess = gift => action(ActionTypes.ADD_GIFT_SUCCESS, gift);
export const addGiftFail = message => action(ActionTypes.ADD_GIFT_FAIL, message);

export const updateGift = gift => action(ActionTypes.UPDATE_GIFT, gift);
export const updateGiftSuccess = gift => action(ActionTypes.UPDATE_GIFT_SUCCESS, gift);
export const updateGiftFail = message => action(ActionTypes.UPDATE_GIFT_FAIL, message);
