import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the paymentList state domain
 */

const selectPaymentListDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by PaymentList
 */
// @ts-ignore
const makeSelectPaymentList = () => createSelector(selectPaymentListDomain, substate => substate.paymentList);

export default makeSelectPaymentList;
export { selectPaymentListDomain };
