/*
 * PayrollList Messages
 *
 * This contains all the text for the PayrollList container.
 */

import { defineMessages } from 'react-intl';

export const scope = 'app.containers.PayrollList';

export default defineMessages({
  amount: {
    id: `app.containers.PayrollList.amount`,
    defaultMessage: 'Số tiền',
  },
  createdTime: {
    id: `app.containers.PayrollList.createdTime`,
    defaultMessage: 'Ngày tạo hóa đơn',
  },
  expiredTime: {
    id: `app.containers.PayrollList.expiredTime`,
    defaultMessage: 'Ngày xoá',
  },
  expiredPayTime: {
    id: `app.containers.PayrollList.expiredPayTime`,
    defaultMessage: 'Ngày hết hạn',
  },
  header: {
    id: `app.containers.PayrollList.header`,
    defaultMessage: '',
  },
  requirePaymentType: {
    id: `app.containers.PayrollList.requirePaymentType`,
    defaultMessage: 'Vui lòng chọn phương thức thanh toán',
  },
  cash: {
    id: `app.containers.PayrollList.cash`,
    defaultMessage: 'Tiền mặt',
  },
  transfer: {
    id: `app.containers.PayrollList.transfer`,
    defaultMessage: 'Chuyển khoản',
  },
  paymentTime: {
    id: `app.containers.PayrollList.paymentTime`,
    defaultMessage: 'Ngày thanh toán',
  },
  receiptNumber: {
    id: `app.containers.PayrollList.receiptNumber`,
    defaultMessage: 'Số biên nhận',
  },
  requireNote: {
    id: `app.containers.PayrollList.requireNote`,
    defaultMessage: 'Vui lòng nhập mô tả',
  },
  note: {
    id: `app.containers.PayrollList.note`,
    defaultMessage: 'Ghi chú*',
  },
  save: {
    id: `app.containers.PayrollList.save`,
    defaultMessage: 'Lưu',
  },
  unpaid: {
    id: `app.containers.PayrollList.unpaid`,
    defaultMessage: 'Chưa thanh toán',
  },
  notPaid: {
    id: `app.containers.PayrollList.notPaid`,
    defaultMessage: 'Chưa thanh toán',
  },
  paid: {
    id: `app.containers.PayrollList.paid`,
    defaultMessage: 'Đã thanh toán',
  },
  paidAmount: {
    id: `app.containers.PayrollList.paidAmount`,
    defaultMessage: 'Tổng tiền đã thanh toán ',
  },
  unpaidAmount: {
    id: `app.containers.PayrollList.unpaidAmount`,
    defaultMessage: 'Tổng tiền còn nợ ',
  },
  search: {
    id: `app.containers.PayrollList.search`,
    defaultMessage: 'Tìm kiếm',
  }
});
