import { ActionType } from 'typesafe-actions';
import * as actions from './actions';
import { Promotion } from "../PromotionList/types";
import { Subject } from "../AddPromotion/types";

/* --- STATE --- */
interface PromotionDetailState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly message: string;
  readonly promotion: Promotion | null;
  readonly subjects: Subject[]
}

/* --- ACTIONS --- */
type PromotionDetailActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = PromotionDetailState;
type ContainerActions = PromotionDetailActions;

export { ContainerState, ContainerActions };
