import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';
import { message } from "antd";

export const getPromotions = (type, searchText) => action(ActionTypes.GET_PROMOTIONS, { type, searchText });
export const getPromotionsSuccess = promotions => action(ActionTypes.GET_PROMOTIONS_SUCCESS, promotions);
export const getPromotionFail = message => action(ActionTypes.GET_PROMOTIONS_FAIL, message);

export const deletePromotion = id => action(ActionTypes.DELETE_PROMOTION, id);
export const deletePromotionSuccess = id => action(ActionTypes.DELETE_PROMOTION_SUCCESS, id);
export const deletePromotionFail = message => action(ActionTypes.DELETE_PROMOTION_FAIL, message);
