import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

const selectPromotionListDomain = (state: ApplicationRootState) =>
  state || initialState;

const makeSelectPromotionList = () =>
  createSelector(selectPromotionListDomain, substate => substate.promotionList);

export default makeSelectPromotionList;
export { selectPromotionListDomain };
