import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';

export const getStoreRevenue = (dateRange, merchantId) => action(ActionTypes.GET_STORE_REVENUE, {dateRange, merchantId});
export const getStoreRevenueSuccess = result => action(ActionTypes.GET_STORE_REVENUE_SUCCESS, result);
export const getStoreRevenueFail = message => action(ActionTypes.GET_STORE_REVENUE_FAIL, message);

export const getMerchantRevenue = (dateRange, merchantId, typeChart) => action(ActionTypes.GET_MERCHANT_REVENUE, {dateRange, merchantId, typeChart});
export const getMerchantRevenueSuccess = result => action(ActionTypes.GET_MERCHANT_REVENUE_SUCCESS, result);
export const getMerchantRevenueFail = message => action(ActionTypes.GET_MERCHANT_REVENUE_FAIL, message)


export const getMethod = (dateRange, merchantId)  => action(ActionTypes.GET_METHOD,  {dateRange, merchantId});
export const getMethodSuccess = id => action(ActionTypes.GET_METHOD_SUCCESS, id);
export const getMethodFail = message => action(ActionTypes.GET_METHOD_FAIL, message)

export const getItem = (dateRange, merchantId) => action(ActionTypes.GET_ITEM,  {dateRange, merchantId});
export const getItemSuccess = id => action(ActionTypes.GET_ITEM_SUCCESS, id);
export const getItemFail = message => action(ActionTypes.GET_ITEM_FAIL, message)

export const setDateRange = dateRange => action(ActionTypes.SET_DATE_RANGE, dateRange);
export const setTypeLineChart = dateRange => action(ActionTypes.SET_TYPE_CHART, dateRange);