import { TableSizeModel } from "containers/Restaurant/Store/types";

export const SM_PER_PIXEL = 100; // 100 pixels equal a meter

export const TINY_SQUARE_SIZE = 0.1; // 0.1 meter
export const TINY_SQUARE_SIZE_BY_PX = TINY_SQUARE_SIZE * SM_PER_PIXEL;

export const DEFAULT_FLOOR_WIDTH = 5; // 5 meter
export const DEFAUTL_FLOOR_WIDTH_BY_PX = DEFAULT_FLOOR_WIDTH * SM_PER_PIXEL;

export const DEFAULT_FLOOR_HEIGHT = 5; // 10 meter
export const DEFAUTL_FLOOR_HEIGHT_BY_PX = DEFAULT_FLOOR_HEIGHT * SM_PER_PIXEL;

export const DEFAULT_SQUARE_TABLE_SIZE = 2.5 * TINY_SQUARE_SIZE;
export const DEFAULT_SQUARE_TABLE_SIZE_BY_PX =
  DEFAULT_SQUARE_TABLE_SIZE * SM_PER_PIXEL;

export const DEFAULT_LONG_TABLE_HEIGHT = 4 * TINY_SQUARE_SIZE;
export const DEFAULT_LONG_TABLE_HIGHT_BY_PX =
DEFAULT_LONG_TABLE_HEIGHT * SM_PER_PIXEL;

export const DEFAULT_ROUND_TABLE_SIZE = 2.5 * TINY_SQUARE_SIZE;
export const DEFAULT_ROUND_TABLE_SIZE_BY_PX =
  DEFAULT_SQUARE_TABLE_SIZE * SM_PER_PIXEL;

export const DEFAULT_2_SEAT_TABLE_SIZE: TableSizeModel = {
  width: 70,
  height: 50,
};
export const DEFAULT_4_SEAT_TABLE_SIZE: TableSizeModel = {
  width: 80,
  height: 70,
};
export const DEFAULT_LONG_TABLE_SIZE: TableSizeModel = {
  width: 70,
  height: 140,
};

export const DEFAULT_0_SEAT_CIRCLE_TABLE_SIZE: TableSizeModel = {
  width: 50,
  height: 50
}

export const DEFAULT_4_SEAT_CIRCLE_TABLE_SIZE: TableSizeModel = {
  width: 122,
  height: 122
}

export const DEFAULT_8_SEAT_CIRCLE_TABLE_SIZE: TableSizeModel = {
  width: 122,
  height: 122
}
export const DEFAULT_AREA_SIZE: TableSizeModel = {
  width: 80,
  height: 60
}

export const DEFAULT_BED_SIZE: TableSizeModel = {
  width: 140,
  height: 70,
}