import { ActionType } from 'typesafe-actions';
import * as actions from './actions';

/* --- STATE --- */
export interface ServiceState {
  readonly isFetching: boolean;
  readonly message: string;
  readonly params: { categoryId: number, searchText: string }
}

/* --- ACTIONS --- */
type ServiceActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = ServiceState;
type ContainerActions = ServiceActions;

export { ContainerState, ContainerActions };
