import { ActionType } from 'typesafe-actions';
import * as actions from './actions';

/* --- STATE --- */
interface StaffAddNewState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly message: string;
  readonly commissions: any[];
}

/* --- ACTIONS --- */
type StaffAddNewActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = StaffAddNewState;
type ContainerActions = StaffAddNewActions;

export { ContainerState, ContainerActions };
