/*
 * StaffDetail Messages
 *
 * This contains all the text for the StaffDetail container.
 */

import { defineMessages } from 'react-intl';

export const scope = 'app.containers.StaffDetail';

export default defineMessages({
  staffInfo: {
    id: `app.containers.StaffDetail.title`,
    defaultMessage: 'Thông tin nhân viên'
  },
  avatar: {
    id: `app.containers.StaffDetail.avatar`,
    defaultMessage: 'Hình đại diện'
  },
  createdDate: {
    id: `app.containers.StaffDetail.createdDate`,
    defaultMessage: 'Ngày tạo'
  },
  requireStaffFirstName: {
    id: `app.containers.StaffDetail.requireStaffFirstName`,
    defaultMessage: 'Vui lòng nhập họ nhân viên'
  },
  requireName: {
    id: `app.containers.StaffDetail.requireName`,
    defaultMessage: 'Vui lòng nhập tên nhân viên'
  },
  staffName: {
    id: `app.containers.StaffDetail.staffName`,
    defaultMessage: 'Tên nhân viên*'
  },
  gender: {
    id: `app.containers.StaffDetail.gender`,
    defaultMessage: 'Giới tính'
  },
  male: {
    id: `app.containers.StaffDetail.male`,
    defaultMessage: 'Nam'
  },
  female: {
    id: `app.containers.StaffDetail.female`,
    defaultMessage: 'Nữ'
  },
  requireUsername: {
    id: `app.containers.StaffDetail.requireUsername`,
    defaultMessage: 'Vui lòng nhập tên đăng nhập'
  },
  username: {
    id: `app.containers.StaffDetail.username`,
    defaultMessage: 'Tên đăng nhập*'
  },
  requireRole: {
    id: `app.containers.StaffDetail.requireRole`,
    defaultMessage: 'Vui lòng chọn chức vụ'
  },
  roleAsterisk: {
    id: `app.containers.StaffDetail.roleAsterisk`,
    defaultMessage: 'Chức vụ*'
  },
  store: {
    id: `app.containers.StaffDetail.store`,
    defaultMessage: 'Điểm kinh doanh*'
  },
  invalidPhoneNumber: {
    id: `app.containers.StaffDetail.invalidPhoneNumber`,
    defaultMessage: 'Số điện thoại không hợp lệ'
  },
  phoneNumber: {
    id: `app.containers.StaffDetail.phoneNumber`,
    defaultMessage: 'Số điện thoại'
  },
  dob: {
    id: `app.containers.StaffDetail.dob`,
    defaultMessage: 'Ngày sinh'
  },
  invalidEmail: {
    id: `app.containers.StaffDetail.invalidEmail`,
    defaultMessage: 'Email không hợp lệ'
  },
  address: {
    id: `app.containers.StaffDetail.address`,
    defaultMessage: 'Địa chỉ'
  },
  save: {
    id: `app.containers.StaffDetail.save`,
    defaultMessage: 'Lưu'
  },
  changePassword: {
    id: `app.containers.StaffDetail.changePassword`,
    defaultMessage: 'Đổi mật khẩu'
  },
  unlockAccount: {
    id: `app.containers.StaffDetail.unlockAccount`,
    defaultMessage: 'Mở khoá tài khoản'
  },
  lockAccount: {
    id: `app.containers.StaffDetail.lockAccount`,
    defaultMessage: 'Khoá tài khoản'
  },
  storeName: {
    id: `app.containers.StaffDetail.storeName`,
    defaultMessage: 'Điểm kinh doanh'
  },
  service: {
    id: `app.containers.StaffDetail.service`,
    defaultMessage: 'Dịch vụ'
  },
  role: {
    id: `app.containers.StaffDetail.role`,
    defaultMessage: 'Chức vụ'
  },
  startDate: {
    id: `app.containers.StaffDetail.startDate`,
    defaultMessage: 'Ngày bắt đầu'
  },
  endDate: {
    id: `app.containers.StaffDetail.endDate`,
    defaultMessage: 'Ngày kết thúc'
  },
  date: {
    id: `app.containers.StaffDetail.date`,
    defaultMessage: 'Ngày'
  },
  startTime: {
    id: `app.containers.StaffDetail.startTime`,
    defaultMessage: 'Giờ bắt đầu'
  },
  endTime: {
    id: `app.containers.StaffDetail.endTime`,
    defaultMessage: 'Giờ kết thúc'
  },
  hours: {
    id: `app.containers.StaffDetail.hours`,
    defaultMessage: 'Số giờ'
  },
  workingHours: {
    id: `app.containers.StaffDetail.workingHours`,
    defaultMessage: 'Lịch sử làm việc'
  },
  workingHistory: {
    id: `app.containers.StaffDetail.workingHistory`,
    defaultMessage: 'Lịch sử công việc'
  },
  requireNumberInput: {
    id: `app.containers.StaffDetail.requireNumberInput`,
    defaultMessage: 'Vui lòng nhập số',
  },
});
