export interface StaffModel {
  readonly id: number;
  readonly photo: string;
  readonly phone: string;
  readonly phoneCountryCode: string;
  readonly phonCountryCode?: string;
  readonly firstName: string;
  readonly lastName: string;
  readonly dateOfBirth: string;
  readonly gender: string;
  readonly roleIds?: number;
  readonly roleNames: string;
  readonly address: string;
  readonly email: string;
  readonly active?: boolean;
  readonly schedule?: string;
  readonly restaurantId?: string;
  readonly areaIds?: string[];
  readonly sectionIds?: string[];
}
export interface StaffWorkingHistoryModel {
  readonly restaurantName: string;
  readonly roleName: string;
  readonly startTime: string;
  readonly endTime: string;
}

export interface StaffWorkingHoursModel {
  readonly date: string;
  readonly name: string;
  readonly startTime: string;
  readonly endTime: string;
  readonly hours: number;
}
