// HTTP Status Code
export const HTTP_STATUS_ACCEPTED = 200;

// Cache key
export const ACCESS_TOKEN = 'THINKN_TOKEN';

export const TIME_FORMAT = 'HH:mm:ss';

export const DATE_FORMAT = 'DD/MM/YYYY';

export enum PROD_UNIT_TYPE {
  SERVICE_UNIT = '2',
  PRODUCT_UNIT = '1',
}
export const LANGUAGE = {
  2: 'vi',
  1: 'en',
};
export const LANGUAGE_API = {
  2: 'vi-VN',
  1: 'en-US',
};
export const phoneCountryNumber = [
  { name: 'Canada', dial_code: '+1', code: 'CA' },
  { name: 'France', dial_code: '+33', code: 'FR' },
  { name: 'United Kingdom', dial_code: '+44', code: 'GB' },
  { name: 'Germany', dial_code: '+49', code: 'DE' },
  { name: 'Malaysia', dial_code: '+60', code: 'MY' },
  { name: 'Australia', dial_code: '+61', code: 'AU' },
  { name: 'Indonesia', dial_code: '+62', code: 'ID' },
  { name: 'Philippines', dial_code: '+63', code: 'PH' },
  { name: 'New Zealand', dial_code: '+64', code: 'NZ' },
  { name: 'Singapore', dial_code: '+65', code: 'SG' },
  { name: 'Japan', dial_code: '+81', code: 'JP' },
  { name: 'Korea, Republic of', dial_code: '+82', code: 'KR' },
  { name: 'Viet Nam', dial_code: '+84', code: 'VN' },
  { name: 'Hong Kong', dial_code: '+852', code: 'HK' },
  { name: 'Taiwan, Province of China', dial_code: '+886', code: 'TW' },
];

export const currencies = [
  {
    value: 'VND',
    label: 'VND',
  },
  {
    value: '$',
    label: '$',
  },
  {
    value: '¥',
    label: '¥',
  },
  {
    value: '£',
    label: '£',
  },
  {
    value: 'Fr',
    label: 'Fr',
  },
  {
    value: '₹',
    label: '₹',
  },
  {
    value: 'HKD',
    label: 'HKD',
  },
  {
    value: 'SGD',
    label: 'SGD',
  },
  {
    value: 'CAD',
    label: 'CAD',
  },
  {
    value: '€',
    label: '€',
  },
];
export const DEFAULT_CURRENCY = 'VND';