const chai = require('chai');
const chaiHttp = require('chai-http');
const expect = chai.expect;
chai.should();
const { token, merchantcode, baseUrl, envData } = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test order', function() {
  this.timeout(15000);
  it('Get total orders', done => {
    chai
      .request(`${baseUrl}`)
      .get(`/orders/total-order`)
      .set({
        Authorization: `Bearer ${token.staff.token}`
      })
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body.data, 'inProgress', 'number');
        checkProperty(res.body.data,"completed", 'number');
        checkProperty(res.body.data,"all", 'number');
        done();
      });
  });
});
