/*
 *
 * AddPromotion actions
 *
 */

import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';

export const addPromotion = promotion => action(ActionTypes.ADD_PROMOTION, promotion);
export const addPromotionSuccess = promotion => action(ActionTypes.ADD_PROMOTION_SUCCESS, promotion);
export const addPromotionFail = message => action(ActionTypes.ADD_PROMOTION_FAIL, message);

export const getPromotionSubjects = () => action(ActionTypes.GET_PROMOTION_SUBJECTS);
export const getPromotionSubjectsSuccess = subjects => action(ActionTypes.GET_PROMOTION_SUBJECTS_SUCCESS, subjects);
export const getPromotionSubjectsFail = message => action(ActionTypes.GET_PROMOTION_SUBJECTS_FAIL, message);
