import { ActionType } from 'typesafe-actions';
import * as actions from './actions';

/* --- INTERFACE --- */
/* --- STATE --- */
interface AppState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly message: string;
  readonly restaurants: any[];
  readonly menus: any[];
  readonly roles: any[];
  readonly isReload: boolean;
  readonly phoneCountries: any[];
}

/* --- ACTIONS --- */
type AppActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = AppState;
type ContainerActions = AppActions;

export { ContainerState, ContainerActions };
