import { ActionType } from "typesafe-actions";
import * as actions from "./actions";
import { Customer } from "../CustomerList/types";

export enum OrderType {
  USER_INHOUSE = 1,
  USER_PICKUP = 2,
  STAFF_PICKUP = 3,
  STAFF_INHOUSE = 4,
}

interface Order {
}

/* --- STATE --- */
interface CustomerDetailState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly message: string;
  readonly customer: Customer | null;
  readonly orders: Order[];
  readonly serviceItemHistories: any[];
  readonly giftCards: any[];
  readonly giftCard: any;
  readonly staffs: any[];
  readonly staffAssigns: any[];
  readonly notes: any[];
  readonly phoneCountries: any[];
}

/* --- ACTIONS --- */
type CustomerDetailActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = CustomerDetailState;
type ContainerActions = CustomerDetailActions;

export { ContainerState, ContainerActions };
