export interface CategoryModel {
  id: number;
  name: string;
}

export interface ProductUnits {
  id: number;
  type: number;
  name: string;
}

export interface ParamModel {
  id: string;
}

export interface MenuEditPayload {
  menuItem?: number;
  name: string;
  description: string;
  price: number | null;
  discount: number | null;
  categoryId?: number;
  photo: string;
  applyAllRestaurants: boolean;
  purchaseOnline: boolean;
  calories: number | null;
  cookTime: any;
  ingredients: any;
  cookingRequestGroups: any;
  sizes: any;
  addOns: any;
  type?: number;
  sku: string;

}

export interface IngredientModel {
  id?: number | null;
  name?: string;
}
