import { createSelector } from 'reselect';
import { initialState } from './reducer';
import { ApplicationRootState } from 'types';

const selectMenuReducer = (state: ApplicationRootState) =>
  state.menu || initialState;
export const makeSelectCategoryId = () =>
  createSelector(selectMenuReducer, menuReducer => menuReducer.params);