import { ActionType } from 'typesafe-actions';
import * as actions from '../Store/actions';

// export interface MenuModel {
//   readonly itemNm: string;
//   readonly menuCategoryId: string;
//   readonly quantity: number;
//   readonly revenue: number;
// }

/* --- STATE --- */
export interface MenuState {
  readonly isFetching: boolean;
  readonly message: string;
  readonly params: { categoryId: number, searchText: string }
}

/* --- ACTIONS --- */
type MenuActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = MenuState;
type ContainerActions = MenuActions;

export { ContainerState, ContainerActions };
