/*
 * PaymentList Messages
 *
 * This contains all the text for the PaymentList container.
 */

import { defineMessages } from 'react-intl';

export const scope = 'app.containers.PaymentList';

export default defineMessages({
  amount: {
    id: `app.containers.PaymentList.amount`,
    defaultMessage: 'Số tiền',
  },
  createdTime: {
    id: `app.containers.PaymentList.createdTime`,
    defaultMessage: 'Ngày tạo hóa đơn',
  },
  expiredTime: {
    id: `app.containers.PaymentList.expiredTime`,
    defaultMessage: 'Ngày xoá',
  },
  expiredPayTime: {
    id: `app.containers.PaymentList.expiredPayTime`,
    defaultMessage: 'Ngày hết hạn',
  },
  header: {
    id: `app.containers.PaymentList.header`,
    defaultMessage: '',
  },
  requirePaymentType: {
    id: `app.containers.PaymentList.requirePaymentType`,
    defaultMessage: 'Vui lòng chọn phương thức thanh toán',
  },
  cash: {
    id: `app.containers.PaymentList.cash`,
    defaultMessage: 'Tiền mặt',
  },
  transfer: {
    id: `app.containers.PaymentList.transfer`,
    defaultMessage: 'Chuyển khoản',
  },
  paymentTime: {
    id: `app.containers.PaymentList.paymentTime`,
    defaultMessage: 'Ngày thanh toán',
  },
  receiptNumber: {
    id: `app.containers.PaymentList.receiptNumber`,
    defaultMessage: 'Số biên nhận',
  },
  requireNote: {
    id: `app.containers.PaymentList.requireNote`,
    defaultMessage: 'Vui lòng nhập mô tả',
  },
  note: {
    id: `app.containers.PaymentList.note`,
    defaultMessage: 'Ghi chú*',
  },
  save: {
    id: `app.containers.PaymentList.save`,
    defaultMessage: 'Lưu',
  },
  unpaid: {
    id: `app.containers.PaymentList.unpaid`,
    defaultMessage: 'Chưa thanh toán',
  },
  paid: {
    id: `app.containers.PaymentList.paid`,
    defaultMessage: 'Đã thanh toán',
  },
  paidAmount: {
    id: `app.containers.PaymentList.paidAmount`,
    defaultMessage: 'Tổng tiền đã thanh toán ',
  },
  unpaidAmount: {
    id: `app.containers.PaymentList.unpaidAmount`,
    defaultMessage: 'Tổng tiền còn nợ ',
  },
  search: {
    id: `app.containers.PaymentList.search`,
    defaultMessage: 'Tìm kiếm',
  },
});
