/*
 *
 * PromotionDetail actions
 *
 */

import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';

export const getPromotion = id => action(ActionTypes.GET_PROMOTION, id);
export const getPromotionSuccess = promotion => action(ActionTypes.GET_PROMOTION_SUCCESS, promotion);
export const getPromotionFail = message => action(ActionTypes.GET_PROMOTION_FAIL, message);

export const getPromotionSubjects = () => action(ActionTypes.GET_PROMOTION_SUBJECTS);
export const getPromotionSubjectsSuccess = subjects => action(ActionTypes.GET_PROMOTION_SUBJECTS_SUCCESS, subjects);
export const getPromotionSubjectsFail = message => action(ActionTypes.GET_PROMOTION_SUBJECTS_FAIL, message);

export const updatePromotion = id => action(ActionTypes.UPDATE_PROMOTION, id);
export const updatePromotionSuccess = promotion => action(ActionTypes.UPDATE_PROMOTION_SUCCESS, promotion);
export const updatePromotionFail = message => action(ActionTypes.UPDATE_PROMOTION_FAIL, message);
