import React from 'react';
import { TableOptions, Groups } from './Drag-area';
import styled from 'styled-components';
import { PRIMARY_COLOR } from 'styles/constants';

const DragAreaWrapper = styled.div`
  border: solid 1px ${PRIMARY_COLOR};
  min-width: 200px;
`;


export const DragArea: React.FC = () => {
  return (
    <DragAreaWrapper>
      <TableOptions />
      <Groups />
    </DragAreaWrapper>
  )
}
