import { createSelector } from 'reselect';
import { initialState } from './reducer';
import { ApplicationRootState } from 'types';

const selectServiceReducer = (state: ApplicationRootState) =>
  state.service || initialState;
export const makeSelectCategoryId = () =>
  createSelector(selectServiceReducer, serviceReducer => serviceReducer.params);