import { GET_CATEGORIES_FAIL } from './../../Storage/constants';
import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';

export const getMenuConfig = () => action(ActionTypes.GET_CATEGORIES_CONFIG);
export const getMenuConfigSuccess = result =>
  action(ActionTypes.GET_CATEGORIES_CONFIG_SUCCESS, result);
export const getMenuConfigFail = message =>
  action(ActionTypes.GET_CATEGORIES_CONFIG_FAIL, message);

export const getIngredientConfig = () =>
  action(ActionTypes.GET_INGREDIENT_CONFIG);
export const getIngredientConfigSuccess = result =>
  action(ActionTypes.GET_INGREDIENT_CONFIG_SUCCESS, result);
export const getIngredientConfigFail = message =>
  action(ActionTypes.GET_INGREDIENT_CONFIG_FAIL, message);

export const getTaxes = () =>
action(ActionTypes.GET_INGREDIENT_CONFIG);

export const getMeasureConfig = () => action(ActionTypes.GET_MEASURE_UNITS);
export const getMeasureConfigSuccess = result =>
  action(ActionTypes.GET_MEASURE_UNITS_SUCCESS, result);
export const getMeasureConfigFail = message =>
  action(ActionTypes.GET_MEASURE_UNITS_FAIL, message);

export const getPreparationConfig = () =>
  action(ActionTypes.GET_PREPARATION_CONFIG);
export const getPreparationConfigSuccess = result =>
  action(ActionTypes.GET_PREPARATION_CONFIG_SUCCESS, result);
export const getPreparationConfigFail = message =>
  action(ActionTypes.GET_PREPARATION_CONFIG_FAIL, message);

export const getGerenalConfig = () => action(ActionTypes.GET_GENERAL_CONFIG);
export const getGerenalConfigSuccess = result =>
  action(ActionTypes.GET_GENERAL_CONFIG_SUCCESS, result);
export const getGerenalConfigFail = message =>
  action(ActionTypes.GET_GENERAL_CONFIG_FAIL, message);

export const getMerchantSetting = () =>
  action(ActionTypes.GET_MERCHANT_SETTING);
export const getMerchantSettingSuccess = result =>
  action(ActionTypes.GET_MERCHANT_SETTING_SUCCESS, result);
export const getMerchantSettingFail = message =>
  action(ActionTypes.GET_MERCHANT_SETTING_FAIL, message);

export const setMerchantSetting = merchantSetting =>
  action(ActionTypes.SET_MERCHANT_SETTING, merchantSetting);
export const setMerchantSettingSuccess = result =>
  action(ActionTypes.SET_MERCHANT_SETTING_SUCCESS, result);
export const setMerchantSettingFail = message =>
  action(ActionTypes.SET_MERCHANT_SETTING_FAIL, message);

export const setCategories = categories =>
  action(ActionTypes.SET_CATEGORIES, categories);
export const updateCategory = (category, index) =>
  action(ActionTypes.UPDATE_CATEGORY, {category, index});
export const addCategory = category =>
  action(ActionTypes.ADD_CATEGORY, category);
export const removeCategory = idx => action(ActionTypes.REMOVE_CATEGORY, idx);

export const setTaxes = taxes =>
  action(ActionTypes.SET_TAXES, taxes);
export const updateTax= (tax, index) =>
  action(ActionTypes.UPDATE_TAX, {tax, index});
export const addTax = tax =>
  action(ActionTypes.ADD_TAX, tax);
export const removeTax = idx => action(ActionTypes.REMOVE_TAX, idx);

export const setCommission = commission =>
  action(ActionTypes.SET_COMMISSION, commission);
export const setCommissionOpt = options =>
  action(ActionTypes.SET_COMMISSION_OPT, options);
export const updateCommission= (commission, index) =>
  action(ActionTypes.UPDATE_COMMISSION, {commission, index});
export const addCommission = tax =>
  action(ActionTypes.ADD_COMMISSION, tax);
export const removeCommission= idx => action(ActionTypes.REMOVE_COMMISSION, idx);

export const setIngredients = ingredients =>
  action(ActionTypes.SET_INGREDIENTS, ingredients);
export const updateIngredient = (ingredient, index) =>
  action(ActionTypes.UPDATE_INGREDIENT, {ingredient, index});
export const addIngredient = ingredient =>
  action(ActionTypes.ADD_INGREDIENT, ingredient);
export const removeIngredient = id => action(ActionTypes.REMOVE_INGREDIENT, id);
export const setCookingRequestGroups = cookingRequestGroups =>
  action(ActionTypes.SET_COOKING_REQUEST_GROUPS, cookingRequestGroups);
export const updateCookingRequestGroup = (cookingRequestGroup, index) =>
  action(ActionTypes.UPDATE_COOKING_REQUEST_GROUP, {cookingRequestGroup, index});
export const addCookingRequestGroup = cookingRequestGroup =>
  action(ActionTypes.ADD_COOKING_REQUEST_GROUP, cookingRequestGroup);
export const removeCookingRequestGroup = id =>
  action(ActionTypes.REMOVE_COOKING_REQUEST_GROUP, id);
export const setSetting = setting => action(ActionTypes.SET_SETTING, setting);
