/*
 *
 * StaffAddNew actions
 *
 */

import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';

export const defaultAction = () => action(ActionTypes.DEFAULT_ACTION);

export const createStaff = values => action(ActionTypes.CREATE_STAFF, values);
export const createStaffSuccess = staff =>
  action(ActionTypes.CREATE_STAFF_SUCCESS, staff);
export const createStaffFail = message =>
  action(ActionTypes.CREATE_STAFF_FAIL, message);

export const getCommissions= () => action(ActionTypes.GET_COMMISSIONS);
export const getCommissionSuccess = staff =>
  action(ActionTypes.GET_COMMISSIONS_SUCCESS, staff);
export const getCommissionFail = message =>
  action(ActionTypes.GET_COMMISSIONS_FAIL, message);
