/*
 * StaffAddNew Messages
 *
 * This contains all the text for the StaffAddNew container.
 */

import { defineMessages } from 'react-intl';

export const scope = 'app.containers.StaffAddNew';

export default defineMessages({
  staffInfo: {
    id: `app.containers.StaffAddNew.staffInfo`,
    defaultMessage: 'Thông tin nhân viên',
  },
  requireFristName: {
    id: `app.containers.StaffAddNew.requireFristName`,
    defaultMessage: 'Vui lòng nhập họ nhân viên',
  },
  requireName: {
    id: `app.containers.StaffAddNew.requireName`,
    defaultMessage: 'Vui lòng nhập tên nhân viên',
  },
  name: {
    id: `app.containers.StaffAddNew.name`,
    defaultMessage: 'Tên nhân viên*',
  },
  requireStore: {
    id: `app.containers.StaffAddNew.requireStore`,
    defaultMessage: 'Vui lòng chọn điểm kinh doanh',
  },
  store: {
    id: `app.containers.StaffAddNew.store`,
    defaultMessage: 'Điểm kinh doanh',
  },
  gender: {
    id: `app.containers.StaffAddNew.gender`,
    defaultMessage: 'Giới tính',
  },
  male: {
    id: `app.containers.StaffAddNew.male`,
    defaultMessage: 'Nam',
  },
  female: {
    id: `app.containers.StaffAddNew.female`,
    defaultMessage: 'Nữ',
  },
  requireRole: {
    id: `app.containers.StaffAddNew.requireRole`,
    defaultMessage: 'Vui lòng chọn chức vụ',
  },
  roleAsterisk: {
    id: `app.containers.StaffAddNew.roleAsterisk`,
    defaultMessage: 'Chức vụ*',
  },
  invalidPhoneNumber: {
    id: `app.containers.StaffAddNew.invalidPhoneNumber`,
    defaultMessage: 'Số điện thoại không hợp lệ',
  },
  phoneNumber: {
    id: `app.containers.StaffAddNew.phoneNumber`,
    defaultMessage: 'Số điện thoại',
  },
  dob: {
    id: `app.containers.StaffAddNew.dob`,
    defaultMessage: 'Ngày sinh',
  },
  address: {
    id: `app.containers.StaffAddNew.address`,
    defaultMessage: 'Địa chỉ',
  },
  avatar: {
    id: `app.containers.StaffAddNew.avatar`,
    defaultMessage: 'Hình đại diện',
  },
  account: {
    id: `app.containers.StaffAddNew.account`,
    defaultMessage: 'Tài khoản',
  },
  requireUsername: {
    id: `app.containers.StaffAddNew.requireUsername`,
    defaultMessage: 'Vui lòng nhập tên đăng nhập',
  },
  username: {
    id: `app.containers.StaffAddNew.username`,
    defaultMessage: 'Tên đăng nhập',
  },
  requirePassword: {
    id: `app.containers.StaffAddNew.requirePassword`,
    defaultMessage: 'Vui lòng nhập mật khẩu',
  },
  password: {
    id: `app.containers.StaffAddNew.password`,
    defaultMessage: 'Mật khẩu',
  },
  requireConfirmPassword: {
    id: `app.containers.StaffAddNew.requireConfirmPassword`,
    defaultMessage: 'Vui lòng xác nhận mật khẩu',
  },
  incorrectConfirmPassword: {
    id: `app.containers.StaffAddNew.incorrectConfirmPassword`,
    defaultMessage: 'Mật khẩu xác nhận không đúng !',
  },
  retypingPassword: {
    id: `app.containers.StaffAddNew.retypingPassword`,
    defaultMessage: 'Nhập lại mật khẩu',
  },
  save: {
    id: `app.containers.StaffAddNew.save`,
    defaultMessage: 'Lưu',
  },
  invalidEmail: {
    id: `app.containers.StaffAddNew.invalidEmail`,
    defaultMessage: 'Email không hợp lệ',
  },
  requireNumberInput: {
    id: `app.containers.StaffAddNew.requireNumberInput`,
    defaultMessage: 'Vui lòng nhập số',
  },
  firstName: {
    id: `app.containers.StaffAddNew.firstName`,
    defaultMessage: 'Họ',
  },
  lastName: {
    id: `app.containers.StaffAddNew.lastName`,
    defaultMessage: 'Tên'
  }
});
