/*
 *
 * StaffDetail constants
 *
 */

enum ActionTypes {
  DEFAULT_ACTION = 'app/StaffDetail/DEFAULT_ACTION',

  OPEN_MODAL = 'app/StaffDetail/OPEN_MODAL',

  GET_STAFF = 'app/StaffDetail/GET_STAFF',
  GET_STAFF_SUCCESS = 'app/StaffDetail/GET_STAFF_SUCCESS',
  GET_STAFF_FAIL = 'app/StaffDetail/GET_STAFF_FAIL',

  GET_COMMISSIONS = 'app/StaffDetail/GET_COMMISSIONS',
  GET_COMMISSIONS_SUCCESS = 'app/StaffDetail/GET_COMMISSIONS_SUCCESS',
  GET_COMMISSIONS_FAIL = 'app/StaffDetail/GET_COMMISSIONS_FAIL',

  GET_SHIFTS = 'app/StaffDetail/GET_SHIFTS',
  GET_SHIFTS_SUCCESS = 'app/StaffDetail/GET_SHIFTS_SUCCESS',
  GET_SHIFTS_FAIL = 'app/StaffDetail/GET_SHIFTS_FAIL',

  UPDATE_STAFF = 'app/StaffDetail/UPDATE_STAFF',
  UPDATE_STAFF_SUCCESS = 'app/StaffDetail/UPDATE_STAFF_SUCCESS',
  UPDATE_STAFF_FAIL = 'app/StaffDetail/UPDATE_STAFF_FAIL',

  BLOCK_STAFF = 'app/StaffDetail/BLOCK_STAFF',
  BLOCK_STAFF_SUCCESS = 'app/StaffDetail/BLOCK_STAFF_SUCCESS',
  BLOCK_STAFF_FAIL = 'app/StaffDetail/BLOCK_STAFF_FAIL',

  UNBLOCK_STAFF = 'app/StaffDetail/UNBLOCK_STAFF',
  UNBLOCK_STAFF_SUCCESS = 'app/StaffDetail/UNBLOCK_STAFF_SUCCESS',
  UNBLOCK_STAFF_FAIL = 'app/StaffDetail/UNBLOCK_STAFF_FAIL',

  GET_STAFF_WORKING_HOURS = 'app/StaffDetail/GET_STAFF_WORKING_HOURS',
  GET_STAFF_WORKING_HOURS_SUCCESS = 'app/StaffDetail/GET_STAFF_WORKING_HOURS_SUCCESS',
  GET_STAFF_WORKING_HOURS_FAIL = 'app/StaffDetail/GET_STAFF_WORKING_HOURS_FAIL',

  GET_STAFF_ADJUSTMENTS_HISTORY = 'app/StaffDetail/GET_STAFF_ADJUSTMENTS_HISTORY',
  GET_STAFF_ADJUSTMENTS_HISTORY_SUCCESS = 'app/StaffDetail/GET_STAFF_ADJUSTMENTS_HISTORY_SUCCESS',
  GET_STAFF_ADJUSTMENTS_HISTORY_FAIL = 'app/StaffDetail/GET_STAFF_ADJUSTMENTS_HISTORY_FAIL',

  GET_STAFF_WORKING_HISTORY = 'app/StaffDetail/GET_STAFF_WORKING_HISTORY',
  GET_STAFF_WORKING_HISTORY_SUCCESS = 'app/StaffDetail/GET_STAFF_WORKING_HISTORY_SUCCESS',
  GET_STAFF_WORKING_HISTORY_FAIL = 'app/StaffDetail/GET_STAFF_WORKING_HISTORY_FAIL',

  GET_STAFF_COMMISION_HISTORY = 'app/StaffDetail/GET_STAFF_COMMISION_HISTORY',
  GET_STAFF_COMMISION_HISTORY_SUCCESS = 'app/StaffDetail/GET_STAFF_COMMISION_HISTORY_SUCCESS',
  GET_STAFF_COMMISION_HISTORY_FAIL = 'app/StaffDetail/GET_STAFF_COMMISION_HISTORY_FAIL',

  GET_PAYROLLS = 'app/StaffDetail/GET_PAYROLLS_LIST',
  GET_PAYROLLS_SUCCESS = 'app/StaffDetail/GET_PAYROLLS_SUCCESS',
  GET_PAYROLLS_FAIL = 'app/StaffDetail/GET_PAYROLLS_FAIL',

  RESET_STAFF = 'app/StaffDetail/RESET_STAFF',

  SHOW_PAYROLL_MODAL = 'app/StaffDetail/SHOW_PAYROLL_MODAL',
  CLOSE_PAYROLL_MODAL = 'app/StaffDetail/CLOSE_PAYROLL_MODAL',

  SET_SEARCH_PAYROLL = 'app/StaffDetail/SET_SEARCH_PAYROLL',
  SET_TIMESHEET = 'app/StaffDetail/SET_TIMESHEET',
  SET_SEARCH_COMMISSION = 'app/StaffDetail/SET_SEARCH_COMMISSION'
}

export default ActionTypes;
