import { ActionType } from 'typesafe-actions';
import * as actions from './actions';

/* --- STATE --- */
interface StaffDetailState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly staff: any;
  readonly message: string;
  readonly workingHours: any[];
  readonly workingHistory: any[];
  readonly restaurants: any[];
  readonly showModal: boolean;
  readonly commissions: any[];
  readonly commissionHistory: any;
  readonly shifts: any;
  readonly payrolls: any;
  readonly searchPayroll: any;
  readonly searchTimesheet: any;
  readonly searchCommission: any;
  readonly adjustmentHitories: any;
}

/* --- ACTIONS --- */
type StaffDetailActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = StaffDetailState;
type ContainerActions = StaffDetailActions;

export { ContainerState, ContainerActions };
