import {
  DELETE_STAFF,
  DELETE_STAFF_FAIL,
  DELETE_STAFF_SUCCESS,
  GET_STAFFS,
  GET_STAFFS_FAIL,
  GET_STAFFS_SUCCESS,
} from './constants';

export const getStaffs = ({ restaurantId, roleIds, searchText, page, limit }) => ({ type: GET_STAFFS, restaurantId, roleIds, searchText, page, limit });
export const getStaffsSuccess = staffs => ({ type: GET_STAFFS_SUCCESS, staffs });
export const getStaffsFail = message => ({ type: GET_STAFFS_FAIL, message });

export const deleteStaff = id => ({ type: DELETE_STAFF, id });
export const deleteStaffSuccess = id => ({ type: DELETE_STAFF_SUCCESS, id });
export const deleteStaffFail = message => ({ type: DELETE_STAFF_FAIL, message });
