import { createSelector } from 'reselect';

export const makeStorages = () => createSelector((state: any) => state.storage, storage => storage.inventories);

export const makeCategories = () => createSelector((state: any) => state.storage, storage => storage.categories);

export const makeHistories = () => createSelector((state: any) => state.storage, storage => storage.histories);

export const makeStorage = () => createSelector((state: any) => state.storage, storage => storage.inventory);

export const makeShowModal = () => createSelector((state: any) => state.storage, storage => storage.showModalAdd);

export const makeShowModalInventory = () => createSelector((state: any) => state.storage, storage => storage.showModalInventory );

export const makeSearch = () => createSelector((state: any) => state.storage, storage => storage.search);

export const makeIsFetching = () => createSelector((state: any) => state.storage, storage => storage.isFetching);
