const chai = require('chai');
const chaiHttp = require('chai-http');
const expect = chai.expect;
chai.should();
const { token, merchantcode, baseUrl, envData } = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test notification', function() {
  this.timeout(15000);
  it('Get list notification of user', done => {
    let requestParams = {
      page: 1,
      limit:10
    };
    chai
      .request(`${baseUrl}`)
      .get(`/notifications/notifications`)
      .set({
        Authorization: `Bearer ${token.staff.token}`
      })
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body.data, 'totalUnread', 'number');
        checkProperty(res.body.data,"notifications", 'array');
        done();
      });
  });
});
