const chai = require('chai');
const chaiHttp = require('chai-http');
const expect = chai.expect;
chai.should();
const { token, merchantcode, baseUrl, envData ,restaurant} = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test restaurants', function() {
  this.timeout(15000);
  it('Get list floor of restaurant', done => {
    console.log("restaurant ",restaurant);
    let requestParams = {
      restaurantId: restaurant.id,
    };
    chai
      .request(`${baseUrl}`)
      .get(`/restaurants/floors?`)
      .set({
        Authorization: `Bearer ${token.staff.token}`
      })
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'array');
        done();
      });
  });
});

